Skip to main content
GET
/
v1
/
contacts
/
suppression
Check contact suppression status
curl --request GET \
  --url https://app.loops.so/api/v1/contacts/suppression \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://app.loops.so/api/v1/contacts/suppression"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://app.loops.so/api/v1/contacts/suppression', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "contact": {
    "id": "cll6b3i8901a9jx0oyktl2m4u",
    "email": "test@example.com",
    "userId": null
  },
  "isSuppressed": true,
  "removalQuota": {
    "limit": 0,
    "remaining": 0
  }
}
{
  "success": false,
  "message": "An email or userId is required."
}
{
  "success": false,
  "message": "This contact was not found."
}

Request

Query parameters

Check by email or user ID. Only one parameter is allowed.
email
string
The contact’s email address. Make sure it is URI-encoded.
userId
string
The contact’s unique user ID.

Response

Success

This endpoint will return the suppression status for a contact and the suppression removal quota.
contact
object
required
isSuppressed
boolean
required
Whether the contact is suppressed.
removalQuota
object
required

Error

If there is an issue with the request, a 400 Bad Request will be returned. If no contact is found, a 404 Not Found will be returned.
success
boolean
required
message
string
required
An error message describing the problem with the request.
{
  "contact": {
    "id": "cll6b3i8901a9jx0oyktl2m4u",
    "email": "test@example.com",
    "userId": null
  },
  "isSuppressed": true,
  "removalQuota": {
    "limit": 0,
    "remaining": 0
  }
}
{
  "success": false,
  "message": "An email or userId is required."
}
{
  "success": false,
  "message": "This contact was not found."
}
Last modified on May 12, 2026